API Documentation
Toggle TOC panel
<access-service>/api/v1/config/server

URL structure

1 https://access-service.xy-company.com/api/v1/config/server

Supported methods and overview

Detailed description

This API endpoint retrieves a list of information for all configurable properties which are accessible through Covata Administration.

Note: From a security perspective, with the exception of the current values of the following few Covata Administration properties returned by this API endpoint's response, no information about any of the other properties (returned in this response) are contained within the <access-service>/api/v1/config endpoint's response:

  • analytics.google.trackingCode
  • analytics.google.trackingDomain
  • require.login.on.launch

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Optional parameters

The following optional parameters can be sent in the URL of the GET request:

  • limit - 0 to 100 (default is 0).
  • offset - default is 0.
  • orderBy - ASC or DESC (default is ASC).
  • sortBy - .

    Example ():

Returns

A JSON-formatted response containing the following members:

  • items - .
    • modified - .
    • id - .
    • propertyName - .
    • propertyValue - .
    • grouping - .
    • propertyDescription - .
    • configGroup - .
  • count - .
  • offset - .

    Example (response from ...):